# Gutenborg

Gutenborg is a fast, extensible and easy to modify GUI client for the
Gopher protocol that expands Gopher capabilities via the Gutenborg Protocol
without harm to Gopher itself or current clients.

## Install

1. Copy `gutenborg` project directory anywhere you find fit.
1. Create a symbolic link to `gutenborg` inside any directory in you
   current `PATH`

If you, like me, has your own `~/bin`, you could do this:

```bash
cd ~/bin
ln -s <gutenborg-directory>/gutenborg .
```

(If you use `zsh`, call `rehash` and you're good to go.)

### Dependencies

* Tcl/Tk 8.6
* Blipt!

## Usage

```bash
$ gutenborg [gopher://]domain[:port][/path]
```

### Mouse bindings

* Click on links with button 1 to access them.
* Click anywhere with button 3 to go back in history;

### Key bindings

* p: print current place in terminal.
* h: go back in history.
* k: go up on path (/alfa/beta → /alfa)

## The Gutenborg Protocol

See `PROTOCOL.md`.
